Intermittent Android "command timed out: 1200 seconds without output, attempting to kill" during "Install App on Device" step

RESOLVED WORKSFORME

Status

RESOLVED WORKSFORME
6 years ago
5 years ago

People

(Reporter: emorley, Unassigned)

Tracking

({intermittent-failure})

Trunk
ARM
Android
intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

6 years ago
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-12-11 12:28:38 PST for push 9ee7c79e2ff0

slave: tegra-260

https://tbpl.mozilla.org/php/getParsedLog.php?id=17834412&tree=Mozilla-Inbound

{
========= Started Install App on Device failed (results: 2, elapsed: 20 mins, 1 secs) (at 2012-12-11 12:31:14.996908) =========
python /builds/sut_tools/installApp.py 10.250.51.100 build/fennec-20.0a1.en-US.android-arm.apk org.mozilla.fennec
 in dir /builds/tegra-260/test/. (timeout 1200 secs)
 watching logfiles {}
 argv: ['python', '/builds/sut_tools/installApp.py', '10.250.51.100', u'build/fennec-20.0a1.en-US.android-arm.apk', 'org.mozilla.fennec']
 environment:
  HOME=/home/cltbld
  PATH=/tools/buildbot-0.8.4-pre-moz2/bin:/usr/local/bin:/usr/local/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cltbld/bin
  PWD=/builds/tegra-260/test
  SUT_IP=10.250.51.100
  SUT_NAME=tegra-260
 using PTY: False
12/11/2012 12:31:15: INFO: copying build/fennec/application.ini to build/talos/remoteapp.ini
12/11/2012 12:31:15: DEBUG: calling [cp build/fennec/application.ini build/talos/remoteapp.ini]
12/11/2012 12:31:15: DEBUG: cp: cannot create regular file `build/talos/remoteapp.ini': No such file or directory
12/11/2012 12:31:15: INFO: connecting to: 10.250.51.100
reconnecting socket
12/11/2012 12:31:15: INFO: devroot /mnt/sdcard/tests
12/11/2012 12:31:15: INFO: 10.250.48.22, 50260
12/11/2012 12:31:15: INFO: Current device time is 2012/12/11 12:31:14
12/11/2012 12:31:15: INFO: Setting device time to 2012/12/11 12:31:15
12/11/2012 12:31:15: INFO: Current device time is 2012/12/11 12:31:15
results: {'process': [['10007', '1200', 'com.android.inputmethod.latin'], ['1001', '1210', 'com.android.phone'], ['1000', '1020', 'system'], ['10029', '1332', 'com.android.deskclock'], ['10031', '1490', 'com.mozilla.SUTAgentAndroid'], ['10018', '1221', 'com.android.launcher'], ['10013', '1439', 'com.cooliris.media'], ['10004', '1341', 'android.process.media'], ['10009', '1419', 'com.android.quicksearchbox'], ['10002', '1431', 'com.android.music'], ['10032', '1409', 'com.mozilla.watcher'], ['10006', '1388', 'com.android.mms'], ['10010', '1374', 'com.android.providers.calendar'], ['10014', '1358', 'com.android.email'], ['10017', '1349', 'com.android.bluetooth'], ['10015', '1253', 'android.process.acore'], ['1000', '1228', 'com.android.settings']]}
results: {'memory': ['PA:839720960, FREE: 765317120']}
results: {'uptime': ['0 days 0 hours 2 minutes 3 seconds 665 ms']}
results: {'screen': ['X:1024 Y:768']}
12/11/2012 12:31:15: INFO: Installing /mnt/sdcard/tests/fennec-20.0a1.en-US.android-arm.apk
in push file with: build/fennec-20.0a1.en-US.android-arm.apk, and: /mnt/sdcard/tests/fennec-20.0a1.en-US.android-arm.apk
sending: push /mnt/sdcard/tests/fennec-20.0a1.en-US.android-arm.apk

command timed out: 1200 seconds without output, attempting to kill
process killed by signal 9
program finished with exit code -1
elapsedTime=1201.189199
========= Finished Install App on Device failed (results: 2, elapsed: 20 mins, 1 secs) (at 2012-12-11 12:51:16.342806) =========
}
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Reporter)

Comment 5

5 years ago
Closing inactive keywords:intermittent-failure bugs where the TBPLbot has previously commented and the test isn't marked as disabled; filter on orange-cleanup-201401.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
Comment hidden (Treeherder Robot)
(Reporter)

Updated

5 years ago
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Reporter)

Comment 12

5 years ago
reyre, comments 7-11 were mis-stars, not a massive problem - but please can you double check before starring so our stats don't get skewed :-)
Flags: needinfo?(rick.eyre)
(Reporter)

Updated

5 years ago
Depends on: 961058

Comment 13

5 years ago
(In reply to Ed Morley [:edmorley UTC+0] from comment #12)
> reyre, comments 7-11 were mis-stars, not a massive problem - but please can
> you double check before starring so our stats don't get skewed :-)

Oh, sorry! There are a bunch of '1200 second timeout' bugs and it's not clear to me sometimes which one it is. I'll try my best to get it right next time.
Flags: needinfo?(rick.eyre)
(Reporter)

Comment 14

5 years ago
Yeah it's not easy - bug 778688 comment 38 and dep bugs added after that should make the situation clearer hopefully. You're welcome to ping one of the sheriffs on IRC if you are ever unsure (or if in doubt, just star on Try with a message without a bug number, so the failure isn't posted to bugzilla and orangefactor) :-)

Comment 15

5 years ago
(In reply to Ed Morley [:edmorley UTC+0] from comment #14)
> Yeah it's not easy - bug 778688 comment 38 and dep bugs added after that
> should make the situation clearer hopefully. You're welcome to ping one of
> the sheriffs on IRC if you are ever unsure (or if in doubt, just star on Try
> with a message without a bug number, so the failure isn't posted to bugzilla
> and orangefactor) :-)

Oh, awesome. That bug does help, thank you :-). I'll make sure to do either of those two options next time if I'm unsure. Thanks!
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Reporter)

Comment 20

5 years ago
Comment 19 was a failure during mock-init; the others are too old now and have been purged from TBPL. Closing this as WFM for now to avoid mis-stars.
Status: REOPENED → RESOLVED
Last Resolved: 5 years ago5 years ago
Resolution: --- → WORKSFORME
Comment hidden (Treeherder Robot)
You need to log in before you can comment on or make changes to this bug.